PerlMagick cross-compilation install problem

PerlMagick is an object-oriented Perl interface to ImageMagick. Use this forum to discuss, make suggestions about, or report bugs concerning PerlMagick.
Post Reply
wolf
Posts: 1
Joined: 2015-03-28T08:19:37-07:00
Authentication code: 6789
Contact:

PerlMagick cross-compilation install problem

Post by wolf » 2015-03-28T08:38:14-07:00

I'm trying to cross-compile ImageMagick with PerlMagick and have managed to build all the cross-compiled binaries. However, I'm having problems installing the PerlMagick libraries because the perl command in the build system differs from the perl command in the target system.

Specifically, because the build system's perl command is executed as "perl-native/perl" and has version 5.14.3, the PerlMagick files get installed in:

<sysroot>/usr/lib/perl-native/perl/5.14.3/

However, on the target system they should be installed in:

<sysroot>/usr/lib/perl5/5.14.3/

I'm building and installing PerlMagick with the following construct after building ImageMagick (where CC="${CC}" is for cross-compilation):

Code: Select all

./configure --with-perl
make perl-sources
cd PerlMagick
perl-native/perl Makefile.PL PREFIX="${SYSROOT}/usr" CC="${CC}"
make  PREFIX="${SYSROOT}/usr" CC="${CC}"
make  PREFIX="${SYSROOT}/usr" CC="${CC}" install
How do I specify that I want the perl libraries to be installed in <sysroot>/usr/lib/perl5/5.14.3?

Post Reply